Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0017167
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2011-05-15 12:052011-06-03 13:27
ReporterrgorisView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchpiFixed in SCM revisiona59d05d09fb1
ProjectionnoneETAnoneTarget Version3.0MP0
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0017167: Modify behavior when clicking Attachments button in toolbar

DescriptionProblem is really that when you click the attachments button when in form view, and with the attachment section already expanded, nothing seems to happen.
Steps To ReproduceCreate a new record. Save it. Open the attachment section. click the attachment button in the toolbar.
Proposed SolutionWhen clicking the toolbar attachment button (regardless whether you are in the grid or form or whether the record already has an attachment or not), it takes the user to the form view, with the Attachment section expanded, and it automatically launches the "Choose file" lightbox.
TagsNo tags attached.
Attached Filespng file icon whycanyouattach.PNG [^] (63,715 bytes) 2011-05-15 12:05

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00171653.0RC7 closedmarvintm Uploading attachment process does not end 

-  Notes
(0036995)
alostale (developer)
2011-05-16 08:15

I'm not able to reproduce it.

Did you get any error in the browser or in the backend log?
(0037000)
rgoris (developer)
2011-05-16 09:50

I wasn´t clear. It´s not a bug really, it is more a usability issue. Here is how it should work:

When clicking the toolbar attachment button (regardless whether you are in the grid or form or whether the record already has an attachment or not), it takes the user to the form view, with the Attachment section expanded, and it automatically launches the "Choose file" lightbox.
(0037586)
hgbot (developer)
2011-05-26 10:35

Repository: erp/devel/pi
Changeset: ae223d78097f6c6625c58d31bc3404f6664feb45
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu May 26 10:30:54 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ae223d78097f6c6625c58d31bc3404f6664feb45 [^]

Fixed issue 17167. When uploading an attachment through the toolbar button, form view will always be shown.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/ob-toolbar.js
---
(0037642)
hudsonbot (developer)
2011-05-26 21:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/367cd1f5b55f [^]

Maturity status: Test
(0037913)
rgoris (developer)
2011-06-02 11:36

Persists in live build
(0037914)
hgbot (developer)
2011-06-02 11:58

Repository: erp/devel/pi
Changeset: a59d05d09fb158fdc2657d4e603cf9e698d29a62
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jun 02 11:54:29 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a59d05d09fb158fdc2657d4e603cf9e698d29a62 [^]

Fixed issue 17167. Reapply accidentally removed patch.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0037996)
hudsonbot (developer)
2011-06-03 13:27

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2a05e66b60ca [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-05-15 12:05 rgoris New Issue
2011-05-15 12:05 rgoris Assigned To => alostale
2011-05-15 12:05 rgoris File Added: whycanyouattach.PNG
2011-05-15 12:05 rgoris Modules => Core
2011-05-16 08:13 alostale Relationship added related to 0017165
2011-05-16 08:15 alostale Note Added: 0036995
2011-05-16 08:15 alostale Status new => feedback
2011-05-16 09:32 iperdomo Status feedback => scheduled
2011-05-16 09:32 iperdomo Assigned To alostale => marvintm
2011-05-16 09:32 iperdomo fix_in_branch => pi
2011-05-16 09:33 rgoris Note Added: 0036996
2011-05-16 09:33 rgoris Note Deleted: 0036996
2011-05-16 09:35 rgoris Note Added: 0036997
2011-05-16 09:38 rgoris Note Deleted: 0036997
2011-05-16 09:50 rgoris Note Added: 0037000
2011-05-16 09:54 rgoris fix_in_branch pi =>
2011-05-16 09:54 rgoris Description Updated View Revisions
2011-05-16 09:54 rgoris Steps to Reproduce Updated View Revisions
2011-05-16 09:54 rgoris Proposed Solution updated
2011-05-16 09:54 alostale Target Version 3.0RC7 => 3.0MP0
2011-05-16 09:55 rgoris Target Version 3.0MP0 => 3.0RC7
2011-05-16 09:55 rgoris Summary Cannot attach files to Goods Movement => Modify behavior when clicking Attachments button in toolbar
2011-05-16 10:04 iperdomo Target Version 3.0RC7 => 3.0MP0
2011-05-17 15:17 rgoris Target Version 3.0MP0 => 3.0MP1
2011-05-17 15:18 rgoris Target Version 3.0MP1 => 3.0MP0
2011-05-24 12:37 rgoris Priority normal => urgent
2011-05-26 10:35 hgbot Checkin
2011-05-26 10:35 hgbot Note Added: 0037586
2011-05-26 10:35 hgbot Status scheduled => resolved
2011-05-26 10:35 hgbot Resolution open => fixed
2011-05-26 10:35 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ae223d78097f6c6625c58d31bc3404f6664feb45 [^]
2011-05-26 16:18 rgoris Status resolved => closed
2011-05-26 21:10 hudsonbot Checkin
2011-05-26 21:10 hudsonbot Note Added: 0037642
2011-06-02 11:36 rgoris Note Added: 0037913
2011-06-02 11:36 rgoris Status closed => new
2011-06-02 11:36 rgoris Resolution fixed => open
2011-06-02 11:37 rgoris Status new => scheduled
2011-06-02 11:37 rgoris fix_in_branch => pi
2011-06-02 11:58 hgbot Checkin
2011-06-02 11:58 hgbot Note Added: 0037914
2011-06-02 11:58 hgbot Status scheduled => resolved
2011-06-02 11:58 hgbot Resolution open => fixed
2011-06-02 11:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/ae223d78097f6c6625c58d31bc3404f6664feb45 [^] => http://code.openbravo.com/erp/devel/pi/rev/a59d05d09fb158fdc2657d4e603cf9e698d29a62 [^]
2011-06-03 10:08 rgoris Status resolved => closed
2011-06-03 10:08 rgoris Fixed in Version => pi
2011-06-03 13:27 hudsonbot Checkin
2011-06-03 13:27 hudsonbot Note Added: 0037996


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker